<?php

class eMember_fancy_login_2fa_support {

    protected $config;
    protected $data;

    function __construct( $data ) {
	$this->config	 = Emember_Config::getInstance();
	$this->data	 = $data;
    }

    function show_2fa_form() {
	switch ( $this->data[ 'style' ] ) {
	    case 2:
		return $this->twofa_form_2();
	    case 3:
		return $this->twofa_form_3();
	    case 4:
		return $this->twofa_form_4();
	    case 5:
		return $this->twofa_form_5();
	    case 6:
		return $this->twofa_form_6();
	    case 7:
		return $this->twofa_form_7();
	    case 8:
		return $this->twofa_form_8();
	}
    }

    private function widget_title() {
	$widget_title = $this->config->getValue( 'wp_eMember_widget_title' );
	if ( empty( $widget_title ) ) {
	    $widget_title = EMEMBER_MEMBER_LOGIN;
	}
	echo $widget_title;
    }

    private function hidden_inputs() {
	?>
	<input name="login_user_name" type="hidden" value="<?php echo $this->data[ 'username' ]; ?>">
	<input name="login_pwd" type="hidden" value="<?php echo $this->data[ 'pass' ]; ?>">
	<?php if ( ! empty( $remember_me ) ) { ?>
	    <input name="rememberme" type="hidden" value="<?php echo $this->data[ 'remember_me' ]; ?>">
	<?php } ?>
	<input name="doLogin" type="hidden" value="1">
	<?php
    }

    function twofa_form_2() {
	ob_start();
	?>
	<div class="eMember_fancy_login_2">
	    <h3><?php $this->widget_title(); ?></h3>
	    <form method="POST">
		<?php $this->hidden_inputs(); ?>
		<p>Logging in as: <?php echo $this->data[ 'username' ]; ?></p>
		<p>An email has been sent to <b><?php echo $this->data[ 'member' ]->email; ?></b> with a single-use code. Please enter that code to continue.</p>
		<input name="emem_2fa_code" type="text" size="17" value="<?php echo 'Confirmation code'; ?>" class="fancy_login_2_password" onfocus="if (this.value === this.defaultValue)
			    this.value = '';" onblur="if (this.value === '')
					this.value = this.defaultValue;">
		<div class="eMember_fancy_login_2_submit">
		    <input type="submit" name="emem_2fa_submit" class="eMember_button emember_login_submit" value="Continue">
		</div>
		<?php
		if ( ! empty( $this->data[ 'errmsg' ] ) ) {
		    ?>
	    	<div class="eMember_fancy_login_2_msg">
	    	    <span class="emember_error"><?php echo $this->data[ 'errmsg' ]; ?></span>
	    	</div>
		<?php } ?>
	    </form>
	</div>
	<?php
	$out = ob_get_clean();
	return $out;
    }

    function twofa_form_3() {
	ob_start();
	?>
	<div class="eMember_fancy_login_3">
	    <h3><?php $this->widget_title(); ?></h3>
	    <form method="POST">
		<?php $this->hidden_inputs(); ?>
		<p>Logging in as: <?php echo $this->data[ 'username' ]; ?></p>
		<p>An email has been sent to <b><?php echo $this->data[ 'member' ]->email; ?></b> with a single-use code. Please enter that code to continue.</p>
		<input name="emem_2fa_code" type="text" size="17" value="<?php echo 'Confirmation code'; ?>" class="fancy_login_3_password" onfocus="if (this.value === this.defaultValue)
			    this.value = '';" onblur="if (this.value === '')
					this.value = this.defaultValue;">
		<div class="eMember_fancy_login_3_submit">
		    <input type="submit" name="emem_2fa_submit" class="eMember_button emember_login_submit" value="Continue">
		</div>
		<?php
		if ( ! empty( $this->data[ 'errmsg' ] ) ) {
		    ?>
	    	<div class="eMember_fancy_login_3_msg">
	    	    <span class="emember_error"><?php echo $this->data[ 'errmsg' ]; ?></span>
	    	</div>
		<?php } ?>
	    </form>
	</div>
	<?php
	$out = ob_get_clean();
	return $out;
    }

    function twofa_form_4() {
	ob_start();
	?>
	<div class="eMember_fancy_login_4">
	    <h3><?php $this->widget_title(); ?></h3>
	    <form method="POST">
		<?php $this->hidden_inputs(); ?>
		<p>Logging in as: <?php echo $this->data[ 'username' ]; ?></p>
		<p>An email has been sent to <b><?php echo $this->data[ 'member' ]->email; ?></b> with a single-use code. Please enter that code to continue.</p>
		<input name="emem_2fa_code" type="text" size="17" value="<?php echo 'Confirmation code'; ?>" class="fancy_login_4_password" onfocus="if (this.value === this.defaultValue)
			    this.value = '';" onblur="if (this.value === '')
					this.value = this.defaultValue;">
		<div class="eMember_fancy_login_4_submit">
		    <input type="submit" name="emem_2fa_submit" class="eMember_button emember_login_submit" value="Continue">
		</div>
		<?php
		if ( ! empty( $this->data[ 'errmsg' ] ) ) {
		    ?>
	    	<div class="eMember_fancy_login_4_msg">
	    	    <span class="emember_error"><?php echo $this->data[ 'errmsg' ]; ?></span>
	    	</div>
		<?php } ?>
	    </form>
	</div>
	<?php
	$out = ob_get_clean();
	return $out;
    }

    function twofa_form_5() {
	ob_start();
	?>
	<div class="eMember_fancy_login_5">
	    <h3><?php $this->widget_title(); ?></h3>
	    <form method="POST">
		<?php $this->hidden_inputs(); ?>
		<p>Logging in as: <?php echo $this->data[ 'username' ]; ?></p>
		<p>An email has been sent to <b><?php echo $this->data[ 'member' ]->email; ?></b> with a single-use code. Please enter that code to continue.</p>
		<input name="emem_2fa_code" type="text" size="17" value="<?php echo 'Confirmation code'; ?>" class="fancy_login_5_password" onfocus="if (this.value === this.defaultValue)
			    this.value = '';" onblur="if (this.value === '')
					this.value = this.defaultValue;">
		<div class="eMember_fancy_login_5_submit">
		    <input type="submit" name="emem_2fa_submit" class="eMember_button emember_login_submit" value="Continue">
		</div>
		<?php
		if ( ! empty( $this->data[ 'errmsg' ] ) ) {
		    ?>
	    	<div class="eMember_fancy_login_5_msg">
	    	    <span class="emember_error"><?php echo $this->data[ 'errmsg' ]; ?></span>
	    	</div>
		<?php } ?>
	    </form>
	</div>
	<?php
	$out = ob_get_clean();
	return $out;
    }

    function twofa_form_6() {
	ob_start();
	?>
	<div class="eMember_fancy_login_6">
	    <h3><?php $this->widget_title(); ?></h3>
	    <form method="POST">
		<?php $this->hidden_inputs(); ?>
		<p>Logging in as: <?php echo $this->data[ 'username' ]; ?></p>
		<p>An email has been sent to <b><?php echo $this->data[ 'member' ]->email; ?></b> with a single-use code. Please enter that code to continue.</p>
		<input name="emem_2fa_code" type="text" size="17" value="<?php echo 'Confirmation code'; ?>" class="fancy_login_6_password" onfocus="if (this.value === this.defaultValue)
			    this.value = '';" onblur="if (this.value === '')
					this.value = this.defaultValue;">
		<div class="eMember_fancy_login_6_submit">
		    <input type="submit" name="emem_2fa_submit" class="eMember_button emember_login_submit" value="Continue">
		</div>
		<?php
		if ( ! empty( $this->data[ 'errmsg' ] ) ) {
		    ?>
	    	<div class="eMember_fancy_login_6_msg">
	    	    <span class="emember_error"><?php echo $this->data[ 'errmsg' ]; ?></span>
	    	</div>
		<?php } ?>
	    </form>
	</div>
	<?php
	$out = ob_get_clean();
	return $out;
    }

    function twofa_form_7() {
	ob_start();
	?>
	<div class="eMember_fancy_login_7">
	    <h3><?php $this->widget_title(); ?></h3>
	    <form method="POST">
		<?php $this->hidden_inputs(); ?>
		<p>Logging in as: <?php echo $this->data[ 'username' ]; ?></p>
		<p>An email has been sent to <b><?php echo $this->data[ 'member' ]->email; ?></b> with a single-use code. Please enter that code to continue.</p>
		<input name="emem_2fa_code" type="text" size="17" value="<?php echo 'Confirmation code'; ?>" class="fancy_login_7_password" onfocus="if (this.value === this.defaultValue)
			    this.value = '';" onblur="if (this.value === '')
					this.value = this.defaultValue;">
		<div class="eMember_fancy_login_7_submit">
		    <input type="submit" name="emem_2fa_submit" class="eMember_button emember_login_submit" value="Continue">
		</div>
		<?php
		if ( ! empty( $this->data[ 'errmsg' ] ) ) {
		    ?>
	    	<div class="eMember_fancy_login_7_msg">
	    	    <span class="emember_error"><?php echo $this->data[ 'errmsg' ]; ?></span>
	    	</div>
		<?php } ?>
	    </form>
	</div>
	<?php
	$out = ob_get_clean();
	return $out;
    }

    function twofa_form_8() {
	ob_start();
	?>
	<div class="eMember_fancy_login_8">
	    <div class="eMember_fancy_login_8_inner">
		<h3><?php $this->widget_title(); ?></h3>
		<form method="POST">
		    <?php $this->hidden_inputs(); ?>
		    <p>Logging in as: <?php echo $this->data[ 'username' ]; ?></p>
		    <p>An email has been sent to <b><?php echo $this->data[ 'member' ]->email; ?></b> with a single-use code. Please enter that code to continue.</p>
		    <input name="emem_2fa_code" type="text" size="17" value="<?php echo 'Confirmation code'; ?>" class="fancy_login_8_password" onfocus="if (this.value === this.defaultValue)
				this.value = '';" onblur="if (this.value === '')
					    this.value = this.defaultValue;">
		    <div class="eMember_fancy_login_8_submit">
			<input type="submit" name="emem_2fa_submit" class="eMember_button emember_login_submit" value="Continue">
		    </div>
		    <?php
		    if ( ! empty( $this->data[ 'errmsg' ] ) ) {
			?>
	    	    <div class="eMember_fancy_login_8_msg">
	    		<span class="emember_error"><?php echo $this->data[ 'errmsg' ]; ?></span>
	    	    </div>
		    <?php } ?>
		</form>
	    </div>
	</div>
	<?php
	$out = ob_get_clean();
	return $out;
    }

}
